Bug 1067388 - Python-behave crashes when html report is created with invalid chars are present in error message
Summary: Python-behave crashes when html report is created with invalid chars are pres...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-behave
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-20 11:15 UTC by Vadim Rutkovsky
Modified: 2018-04-11 16:12 UTC (History)
4 users (show)

Fixed In Version: python-behave-1.2.3-11.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-07 13:42:31 UTC
Type: Bug


Attachments (Terms of Use)
Proposed patch (1.98 KB, patch)
2014-02-20 11:15 UTC, Vadim Rutkovsky
no flags Details | Diff
Don't crash on invalid XML chars (2.31 KB, patch)
2014-03-19 11:41 UTC, Vadim Rutkovsky
no flags Details | Diff

Description Vadim Rutkovsky 2014-02-20 11:15:51 UTC
Created attachment 865473 [details]
Proposed patch

Description of problem:
Error message symbols are not filtered for HTML report:

embed.text = result.error_message
File "lxml.etree.pyx", line 921, in lxml.etree._Element.text.__set__ (src/lxml/lxml.etree.c:41344)
File "apihelpers.pxi", line 652, in lxml.etree._setNodeText (src/lxml/lxml.etree.c:18835)
File "apihelpers.pxi", line 1335, in lxml.etree._utf8 (src/lxml/lxml.etree.c:24625)

Version-Release number of selected component (if applicable):
python-behave-1.2.3-8.fc19.noarch

How reproducible:
Always

Attached patch fixes the issue

Comment 1 Fedora Update System 2014-03-12 11:04:30 UTC
python-behave-1.2.3-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-9.fc20

Comment 2 Fedora Update System 2014-03-12 11:06:19 UTC
python-behave-1.2.3-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-9.fc19

Comment 3 Fedora Update System 2014-03-12 16:00:10 UTC
python-behave-1.2.3-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-10.fc20

Comment 4 Fedora Update System 2014-03-12 16:01:35 UTC
python-behave-1.2.3-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-10.fc19

Comment 5 Fedora Update System 2014-03-13 05:03:37 UTC
Package python-behave-1.2.3-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-behave-1.2.3-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3788/python-behave-1.2.3-9.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-03-18 08:09:49 UTC
python-behave-1.2.3-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Vadim Rutkovsky 2014-03-19 11:41:37 UTC
Created attachment 876326 [details]
Don't crash on invalid XML chars

Still happens on python-behave 1.2.3-10.el7. The attached patch should fix this (once and for all, I hope)

Comment 8 Fedora Update System 2014-03-19 16:51:47 UTC
python-behave-1.2.3-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-11.fc19

Comment 9 Fedora Update System 2014-03-19 16:53:56 UTC
python-behave-1.2.3-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-11.fc20

Comment 10 Fedora Update System 2014-03-19 16:58:59 UTC
python-behave-1.2.3-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-11.el6

Comment 11 Fedora Update System 2014-03-21 09:33:48 UTC
Package python-behave-1.2.3-11.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-behave-1.2.3-11.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4156/python-behave-1.2.3-11.fc20
then log in and leave karma (feedback).

Comment 12 Vadim Rutkovsky 2014-04-07 13:42:31 UTC
Doesn't happen to me anymore, thanks

Comment 13 Fedora Update System 2014-04-09 00:50:37 UTC
python-behave-1.2.3-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-04-09 00:53:03 UTC
python-behave-1.2.3-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-04-09 05:25:47 UTC
python-behave-1.2.3-11.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.